@mixin h-texts() {
	$breakpoints: $breakpoints;

	._text-left {
		text-align: left;
	}
	._text-right {
		text-align: right;
	}
	._text-center {
		text-align: center;
	}

	._upper{
		text-transform: uppercase;
	}

	@each $point-name, $point in $breakpoints {
		@media only screen and (min-width: $point + 1) {
			._#{$point-name}-text-left {
				text-align: left;
			}
			._#{$point-name}-text-right {
				text-align: right;
			}
			._#{$point-name}-text-center {
				text-align: center;
			}
			._#{$point-name}-upper{
				text-transform: uppercase;
			}
		}
	}
}

@include h-texts();
